/* global globalThis, BroadcastChannel */
import { initializeApp } from 'firebase/app';
import { getToken } from 'firebase/messaging';
import {
  getMessaging as getMessagingSw,
} from 'firebase/messaging/sw';
import { onBackgroundMessage } from 'firebase/messaging/sw';
import firebaseConfig from './firebase.json';

const scope = globalThis;
const app = initializeApp(firebaseConfig);
const broadcast = new BroadcastChannel("firebase-browser");

getToken(getMessagingSw(app, {
	serviceWorkerRegistration: scope.registration,
	vapidKey: firebaseConfig.vapidKey,
}));

scope.addEventListener('push', (event) => {
    // foreground and background push notification
    const data = event.data.json();
    broadcast.postMessage( data );
});

onBackgroundMessage(getMessagingSw(app), ( payload ) => {
  // background push notification
});